# Textbubble

Creates little text bubbles for your command line.

<img src="https://raw.githubusercontent.com/bogwonch/textbubble/master/textbubble.png" alt="Demo">

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'textbubble'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install textbubble

## Usage

Use the string mixins `lbubble` and `rbubble` to create bubble on the left and right hand side.

`'Hello World!'.rbubble(margin: 80, width: 60, bg: :red, fg: '#ffffff')`

<img src="https://raw.githubusercontent.com/bogwonch/textbubble/master/example.png" alt="Example">

Checkout the command-line app for more options.

## Contributing

1. Fork it ( https://github.com/[my-github-username]/textbubble/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
