# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'textbubble/version'

Gem::Specification.new do |spec|
  spec.name          = 'textbubble'
  spec.version       = Textbubble::VERSION
  spec.authors       = ['bogwonch']
  spec.email         = ['bogwonch@bogwonch.net']
  spec.summary       = 'Turns strings into cute little text bubbles.'
  spec.homepage      = 'https://github.com/bogwonch/textbubble'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(/^bin\//) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(/^(test|spec|features)\//)
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rubocop', '~> 0.29.1'

  spec.add_runtime_dependency 'rainbow', '~> 2.0.0'
  spec.add_runtime_dependency 'ruby-terminfo', '~> 0.1.1'
end
